<?php
namespace Mirasvit\LandingPage\Controller\Landing\View;

/**
 * Interceptor class for @see \Mirasvit\LandingPage\Controller\Landing\View
 */
class Interceptor extends \Mirasvit\LandingPage\Controller\Landing\View implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LandingPage\Repository\PageRepository $pageRepository, \Magento\Store\Model\StoreManagerInterface $storeManager, \Magento\Catalog\Api\CategoryRepositoryInterface $categoryRepository, \Magento\Catalog\Model\Session $catalogSession, \Magento\Search\Model\QueryFactory $queryFactory, \Magento\Framework\Registry $registry, \Magento\Framework\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($pageRepository, $storeManager, $categoryRepository, $catalogSession, $queryFactory, $registry, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }
}
